/*
* Copyright (c) 2010 the original author or authors
*
* Permission is hereby granted to use, modify, and distribute this file
* in accordance with the terms of the license agreement accompanying it.
*/

package org.robotlegs.demos.lazy
{
	import mx.core.IVisualElementContainer;
	
	import org.robotlegs.demos.lazy.views.SomeContainer;
	import org.robotlegs.demos.lazy.views.SomeViewA;
	import org.robotlegs.demos.lazy.views.SomeViewAMediator;
	import org.robotlegs.mvcs.Context;
	
	public class LazyContext extends Context
	{
		override public function startup():void
		{
			mediatorMap.mapView(SomeViewA, SomeViewAMediator);
			IVisualElementContainer(contextView).addElement(new SomeContainer());
		}
	}
}